/******************************************************************************
 * Copyright Codito Technologies (www.codito.com) Oct 01, 2004
 * 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 *****************************************************************************/

/*
 * Copyright (C)
 *
 * This program is free software you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * Author(s) : Rahul Trivedi
 * Exception handlers for the arc700
 */
#include <linux/config.h>
#include <linux/sched.h>
#include <linux/kernel.h>
#include <linux/string.h>
#include <linux/errno.h>
#include <linux/ptrace.h>
#include <linux/timer.h>
#include <linux/mm.h>
#include <linux/smp.h>
#include <linux/smp_lock.h>
#include <linux/init.h>
#include <linux/delay.h>
#include <linux/module.h>

#include <asm/uaccess.h>
#include <asm/arcregs.h>
#ifdef CONFIG_ARC_TRACE_UNIT
#include <asm/trace_unit.h>
#endif


spinlock_t die_lock = SPIN_LOCK_UNLOCKED;

void show_trace_task(struct task_struct *tsk)
{
  /* TODO: rtee: write the show_regs function */
}


void die(const char *str, struct pt_regs *regs, unsigned long cause)
{
}

void do_trap(unsigned long cause, char *str, struct pt_regs *regs,
	     siginfo_t *info)
{
}

#define DO_ERROR_INFO(signr, str, name, sicode) \
asmlinkage void name(unsigned long cause, unsigned long address, \
		     struct pt_regs *regs) \
{ \
  siginfo_t info;\
  info.si_signo = signr;\
  info.si_errno = 0;\
  info.si_code = sicode;\
  info.si_addr = (void *)address;\
  do_trap(cause,str,regs,&info);\
}

DO_ERROR_INFO(SIGSEGV, "Access Violation/Misaligned Access", 
	      protection_fault, SEGV_ACCERR)
DO_ERROR_INFO(SIGSEGV, "Trying to load a duplicate entry", 
	      duplicate_tlb_fault, SEGV_ACCERR)
DO_ERROR_INFO(SIGILL,"Privileged Operation/Disabled Extension/Actionpoint Hit",
	      privilege_fault, ILL_PRVOPC)
DO_ERROR_INFO(SIGILL,"Extenion Instruction Exception", extension_fault, 
	      ILL_ILLOPC)
DO_ERROR_INFO(SIGILL,"Illegal Instruction/Illegal Instruction Sequence", 
	      instruction_error, ILL_ILLOPC)
DO_ERROR_INFO(SIGBUS,"Access to Invalid Memory",memory_error, BUS_ADRERR)
DO_ERROR_INFO(SIGTRAP, "Breakpoint Set", 
	      trap_s_brkpt, TRAP_BRKPT)


asmlinkage void machine_check(unsigned long cause, unsigned long address,
				   struct pt_regs *regs)
{
}

void __init trap_init(void)
{
	return;
}

