#
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file "COPYING" in the main directory of this archive
# for more details.
#
# Copyright (C) 2003 by ARC International
#

#wschen 2007-10-03 LINKFLAGS	:=-X -T arch/$(ARCH)/proc/$(PROCESSOR)/linux.lds -static
LINKFLAGS	:=-X -T arch/$(ARCH)/proc/$(PROCESSOR)/linux.lds -static -G 0 -O2
GZFLAGS		:=-9
#wschen 2007-10-03 CFLAGS		+= -mA7 -mlong-calls -funsigned-char -O2 -fno-common -pipe -fno-builtin -D__linux__
CFLAGS		+= -mA7 -mlong-calls -fsigned-char -O2 -fno-common -pipe -fno-builtin -D__linux__ -fno-unit-at-a-time #-mno-mpy
AFLAGS		+= $(CFLAGS)

ifeq ($(CONFIG_DISABLE_DELAYSLOT_LDSTR),y)
CFLAGS += -mno-load-store-in-delay-slots
endif


CC-VERSION = $(shell $(CONFIG_SHELL) $(TOPDIR)/arch/arc/tools/gcc-version.sh \
              $(if $(1), $(1), $(CC)))

#CFLAGS	+= $(shell if [ $(call cc-version, $(CC)) -gt 0400 ] ; then echo $(call cc-option,-mno-sdata); fi ;)

ifeq ($(CC-VERSION), 0402)
CFLAGS		+= -mno-sdata
endif


ifeq ($(CC-VERSION), 0304)
CFLAGS		+= -fno-unit-at-a-time
endif
ifeq ($(CONFIG_DEBUG_KERNEL),y)
CFLAGS		+= -O1 -gdwarf-2
endif

ifeq ($(CONFIG_CPU_BIG_ENDIAN),y)
CFLAGS    	+= -mbig-endian
AFLAGS		+= -mbig-endian
LINKFLAGS		+= -EB
LDFLAGS		+= -EB
endif
# FIXME :: Ask ld to use the right linker script
##LDFLAGS		+= -T/usr/local/arc/arc-elf32/lib/ldscripts/arcelf.xr
#LDFLAGS		+= -T/home/peters/bin/arc-gcc-3.4/arc-elf32/lib/ldscripts/arcelf.xr

LIBGCC		:= $(shell $(CC) $(CFLAGS) --print-libgcc-file-name)

ifeq ($(CONFIG_CODE_OFFSET),y)
TEXTBASE  = 0x$(CONFIG_CODE_OFFSET_TEXTBASE)
TEXTADDR  = 0x$(CONFIG_CODE_OFFSET_TEXTADDR)
else
TEXTBASE  = 0x80000000
TEXTADDR  = 0x80002000
endif
# default setting is
#TEXTBASE	 = 0x80000000
#TEXTADDR	 = 0x80002000

LDSCRIPT         = arch/$(ARCH)/proc/$(PROCESSOR)/linux.lds.in

export	LDFLAGS LIBGCC TEXTADDR TEXTBASE GZFLAGS 

HEAD		:= arch/$(ARCH)/proc/$(PROCESSOR)/head.o \
		   arch/$(ARCH)/kernel/init_task.o

SUBDIRS		:= arch/$(ARCH)/tools arch/$(ARCH)/kernel arch/$(ARCH)/mm \
			arch/$(ARCH)/lib arch/$(ARCH)/drivers \
			arch/$(ARCH)/proc/$(PROCESSOR) $(SUBDIRS)

CORE_FILES	:= arch/$(ARCH)/kernel/kernel.o arch/$(ARCH)/mm/mm.o \
		   arch/$(ARCH)/drivers/peripherals.o \
		   arch/$(ARCH)/proc/$(PROCESSOR)/proc.o $(CORE_FILES)

LIBS		:= arch/$(ARCH)/lib/lib.a $(LIBS) $(LIBGCC)

#LIBS += /home/peters/build/hostlink/hl_g/libhl.a

ifeq ($(CONFIG_ARC700_SIM_RUN),y)
LIBS            += arch/$(ARCH)/lib/libhlt.a
endif

MAKEBOOT	 = $(MAKE) -C arch/$(ARCH)/boot 
MAKETOOLS	 = $(MAKE) -C arch/$(ARCH)/tools

vmlinux: hostlink arch/$(ARCH)/proc/$(PROCESSOR)/linux.lds

arch/$(ARCH)/proc/$(PROCESSOR)/linux.lds: $(LDSCRIPT) dummy
	@sed -e 's/TEXTBASE/$(TEXTBASE)/' -e 's/TEXTADDR/$(TEXTADDR)/' -e 's/0x0x/0x/' <$< >$@
	

arch/$(ARCH)/kernel arch/$(ARCH)/mm arch/$(ARCH)/lib: dummy
	$(MAKE) CFLAGS="$(CFLAGS) $(CFLAGS_KERNEL)" $(subst $@, _dir_$@, $@)

#bzImage zImage zinstall Image install: vmlinux
#bzImage zinstall Image install: vmlinux

bzImage : CORE_FILES += arch/$(ARCH)/boot/initrd.o

bzImage: zinitrd hostlink vmlinux
	rm -f arch/$(ARCH)/boot/*.o arch/$(ARCH)/boot/compressed/*.o
	$(MAKE) -C arch/$(ARCH)/boot/compressed bzImage

zImage : CORE_FILES += arch/$(ARCH)/boot/initrd.o
zImage: initrd hostlink vmlinux
	rm -f arch/$(ARCH)/boot/*.o arch/$(ARCH)/boot/compressed/*.o
	$(MAKE) -C arch/$(ARCH)/boot/compressed 

bootpImage : CORE_FILES	+= arch/$(ARCH)/boot/initrd.o

bootpImage: initrd hostlink vmlinux
	@$(MAKEBOOT) $@

initrd: initrd.o
	echo "int _RAMDISK_SIZE=0;" > arch/$(ARCH)/boot/ramdsize.h
	$(OBJCOPY) -O elf32-littlearc \
		--add-section=.data.ramdisk=$(TOPDIR)/arch/$(ARCH)/boot/initrd.img \
		--set-section-flags=.data.ramdisk=alloc,load,readonly,data,contents \
	 $(TOPDIR)/arch/$(ARCH)/boot/$<

zinitrd: initrd.o
	arch/$(ARCH)/boot/genramdisk.sh

initrd.o:
	touch $(TOPDIR)/arch/$(ARCH)/boot/initrd.c
	rm -f $(TOPDIR)/arch/$(ARCH)/boot/initrd.o
	$(CC) $(CFLAGS) -c -o $(TOPDIR)/arch/$(ARCH)/boot/$@ $(TOPDIR)/arch/$(ARCH)/boot/initrd.c

hostlink:
	cp $(TOPDIR)/arch/$(ARCH)/lib/libhlt.a.c $(TOPDIR)/arch/$(ARCH)/lib/libhlt.a

CLEAN_FILES	+= \
	arch/$(ARCH)/proc/$(PROCESSOR)/linux.lds \
	include/asm-$(ARCH)/offset.h

MRPROPER_FILES	+= \
	include/asm-$(ARCH)/arch \
	include/asm-$(ARCH)/proc \


# We use MRPROPER_FILES and CLEAN_FILES now
archmrproper:
	@/bin/true

archclean:
	@$(MAKEBOOT) clean
	@$(MAKETOOLS) clean


archdep: scripts/mkdep 
	@$(MAKETOOLS) dep
	@$(MAKEBOOT) dep

maketools: checkbin
	@$(MAKETOOLS) all

# Ensure this is ld "2.9.4" or later
NEW_LINKER	:= $(shell $(LD) --gc-sections --version >/dev/null 2>&1; echo $$?)

ifneq ($(NEW_LINKER),0)
checkbin:
	@echo '*** ${VERSION}.${PATCHLEVEL} kernels no longer build correctly with old versions of binutils.'
	@echo '*** Please upgrade your binutils to 2.9.5.'
	@false
else
checkbin:
	@true
endif

# My testing targets (that short circuit a few dependencies)
zImg:;	@$(MAKEBOOT) zImage
Img:;	@$(MAKEBOOT) Image
i:;	@$(MAKEBOOT) install
zi:;	@$(MAKEBOOT) zinstall
bp:;	@$(MAKEBOOT) bootpImage

#
# Configuration targets.  Use these to select a
# configuration for your architecture
%_config:
	@( \
	CFG=$(@:_config=); \
	if [ -f arch/$(ARCH)/def-configs/$$CFG ]; then \
	  $(RM) arch/$(ARCH)/defconfig; \
	  cp arch/$(ARCH)/def-configs/$$CFG arch/$(ARCH)/defconfig; \
	  echo "*** Default configuration for $$CFG installed"; \
	  echo "*** Next, you may run 'make oldconfig'"; \
	else \
	  echo "$$CFG does not exist"; \
	fi; \
	)
