/*
      //------------------------------------------------------------------------
      //
      //                  S K Y M E D I   P R O P R I E T A R Y
      //
      //          COPYRIGHT (c)   2003 BY SKYMEDI CORPORATION TAIWAN.
      //                   --  ALL RIGHTS RESERVED  --
      //       SKYMEDI Confidential; Need to Know only.
      //       Protected as an unpublished work.
      //
      //       The computer program listings, specifications and documentation
      //       herein are the property of SKYMEDI CORPORATION and shall not be
      //       reproduced, copied, disclosed, or used in whole or in part for
      //       any reason without the prior express written permission of
      //       SKYMEDI CORPORATION.
      //
      //          File Name:        default.h
      //
      //          Author:           Jinn Cheng
      //
      //          Created:          May 10, 2008
      //
      //          Revision:
      //
      //------------------------------------------------------------------------
 */
#ifndef __DEFAULT_H__
#define __DEFAULT_H__

#include <linux/skyconfig.h>

#define SDMMC_P0         8                                                                                                                       // xfer_sectors;
#define SDMMC_P1         ( SKYCFG_CD_ENABLE | SKYCFG_CD_REMOVABLE | SKYCFG_CD_USE_EIOP0 )                                                        // carddetet_mode;
#define SDMMC_P2         ( SKYCFG_WP_ENABLE | SKYCFG_WP_HIGHE_ENABKE | SKYCFG_WP_USE_GPIO_PORT | SKYCFG_WP_USE_GIO8 )                            // writeprotect_mode;

#define MSX_P0           8                                                                                                                       // xfer_sectors;
#define MSX_P1           ( SKYCFG_CD_ENABLE | SKYCFG_CD_REMOVABLE | SKYCFG_CD_USE_EIOP1 )                                                        // carddetet_mode;
#define MSX_P2           ( SKYCFG_MSX_BUS_SWITCH_ENABLE | SKYCFG_MSX_USE_GPIO_PORT | SKYCFG_MSX_BUS_HIGHENABLE | SKYCFG_MSX_USE_GIO7 )           // bus_switch_mode;
#define MSX_P3           4                                                                                                                       // bus_width_for_sony;
#define MSX_P4           4                                                                                                                       // bus_width_for_others;

#define XDSM_P0          8                                                                                                                       // xfer_sectors;
#define XDSM_P1          ( SKYCFG_CD_ENABLE | SKYCFG_CD_REMOVABLE | SKYCFG_CD_USE_EIOP2 )                                                        // carddetet_mode;
#define XDSM_P2          0                                                                                                                       // writeprotect_mode;

#define CF_P0            8                                                                                                                       // xfer_sectors;
#define CF_P1            ( SKYCFG_CD_ENABLE | SKYCFG_CD_REMOVABLE | SKYCFG_CD_USE_EIOP3 )                                                        // carddetet_mode;
#define CF_P2            4                                                                                                                       // max_pio_mode;
#define CF_P3            ( SKYCFG_CF_PWR_SWITCH_ENABLE | SKYCFG_CF_USE_GPIO_PORT | SKYCFG_CF_PWR_HIGHENABLE | SKYCFG_CF_USE_GIO11 )              // power_control_logic;
#define CF_P4            ( SKYCFG_CF_BUS_ENA_SWITCH_ENABLE | SKYCFG_CF_USE_GPIO_PORT | SKYCFG_CF_BUS_ENA_LOWENABLE | SKYCFG_CF_USE_GIO9 )        // bus_ena_switch_mode;
#define CF_P5            ( SKYCFG_CF_BUS_DIR_SWITCH_ENABLE | SKYCFG_CF_USE_GPIO_PORT | SKYCFG_CF_BUS_DIR_HIGH_IS_WRITE | SKYCFG_HD_USE_GIO10 )   // bus_dir_switch_mode;

#define HD_P0            8                                                                                                                       // xfer_sectors;
#define HD_P1            ( /*SKYCFG_CD_ENABLE | SKYCFG_CD_NOT_REMOVABLE |*/ SKYCFG_CD_MAP_AS_EIOP4 )                                             // carddetet_mode;
#define HD_P2            4                                                                                                                       // max_pio_mode;
#define HD_P3            0                                                                                                                       // power_control_logic;
#define HD_P4            0                                                                                                                       // bus_ena_switch_mode;
#define HD_P5            0                                                                                                                       // bus_dir_switch_mode;

#define FLASH_P0         8                                                                                                                       // xfer_sectors;
#define FLASH_P1         ( SKYCFG_CD_ENABLE | SKYCFG_CD_NOT_REMOVABLE | SKYCFG_CD_MAP_AS_EIOP5 )                                                 // carddetet_mode;

#define IR_P0            0x00000100                                                                                                              // ir3_con;
#define IR_P1            0x0000A2C6                                                                                                              // ir3conA;
#define IR_P2            0x00000067                                                                                                              // ir3conB;
#define IR_P3            0x00000010                                                                                                              // ir3conC;

#define PADCLK_P0        4                                                                                                                       // pad_strength;
#define PADCLK_P1        3                                                                                                                       // clk_strength;

#define USB_P0           SKYCFG_DISK_GROUP_A                                                                                                     // sdmmc_disk_idx;
#define USB_P1           SKYCFG_DISK_GROUP_A                                                                                                     // msx_disk_idx;
#define USB_P2           SKYCFG_DISK_GROUP_A                                                                                                     // xdsm_disk_idx;
#define USB_P3           SKYCFG_DISK_GROUP_B                                                                                                     // cf_disk_idx;
#define USB_P4           SKYCFG_NODISK_GROUP                                                                                                     // hd_disk_idx;
#define USB_P5           SKYCFG_DISK_GROUP_C                                                                                                     // flash_disk_idx;

#define GIO_P0           ( SKYCFG_GENRICIO_ENABLE | SKYCFG_GENRICIO_DIR_IS_IN )                                                                  // gpio 0
#define GIO_P1           ( SKYCFG_GENRICIO_ENABLE | SKYCFG_GENRICIO_DIR_IS_IN )                                                                  // gpio 1
#define GIO_P2           ( SKYCFG_GENRICIO_ENABLE | SKYCFG_GENRICIO_DIR_IS_IN )                                                                  // gpio 2
#define GIO_P3           0                                                                                                                       // gpio 3
#define GIO_P4           0                                                                                                                       // gpio 4
#define GIO_P5           0                                                                                                                       // gpio 5
#define GIO_P6           0                                                                                                                       // gpio 6
#define GIO_P7           ( SKYCFG_GENRICIO_ENABLE | SKYCFG_GENRICIO_DIR_IS_OUT | SKYCFG_GENRICIO_DEFAULT_LOGIC_0 )                               // gpio 7
#define GIO_P8           ( SKYCFG_GENRICIO_ENABLE | SKYCFG_GENRICIO_DIR_IS_IN )                                                                  // gpio 8
#define GIO_P9           ( SKYCFG_GENRICIO_ENABLE | SKYCFG_GENRICIO_DIR_IS_OUT | SKYCFG_GENRICIO_DEFAULT_LOGIC_1 )                               // gpio 9
#define GIO_PA           ( SKYCFG_GENRICIO_ENABLE | SKYCFG_GENRICIO_DIR_IS_OUT | SKYCFG_GENRICIO_DEFAULT_LOGIC_1 )                               // gpio 10
#define GIO_PB           ( SKYCFG_GENRICIO_ENABLE | SKYCFG_GENRICIO_DIR_IS_OUT | SKYCFG_GENRICIO_DEFAULT_LOGIC_0 )                               // gpio 11
#define GIO_PC           ( SKYCFG_GENRICIO_ENABLE | SKYCFG_GENRICIO_DIR_IS_OUT | SKYCFG_GENRICIO_DEFAULT_LOGIC_0 )                               // gpio 12
#define GIO_PD           ( SKYCFG_GENRICIO_ENABLE | SKYCFG_GENRICIO_DIR_IS_OUT | SKYCFG_GENRICIO_DEFAULT_LOGIC_0 )                               // gpio 13
#define GIO_PE           ( SKYCFG_GENRICIO_ENABLE | SKYCFG_GENRICIO_DIR_IS_OUT | SKYCFG_GENRICIO_DEFAULT_LOGIC_0 )                               // gpio 14
#define GIO_PF           ( SKYCFG_GENRICIO_ENABLE | SKYCFG_GENRICIO_DIR_IS_OUT | SKYCFG_GENRICIO_DEFAULT_LOGIC_0 )                               // gpio 15

#define EIO_P0           0                                                                                                                       // epio 0
#define EIO_P1           0                                                                                                                       // epio 1
#define EIO_P2           0                                                                                                                       // epio 2
#define EIO_P3           0                                                                                                                       // epio 3
#define EIO_P4           0                                                                                                                       // epio 4
#define EIO_P5           0                                                                                                                       // epio 5

#define IO_P0            1000                                                                                                                    // toggle_interal;
#define IO_P1            0                                                                                                                       // read_led_mode;
#define IO_P2            0                                                                                                                       // write_led_mode;
#define IO_P3            0                                                                                                                       // readwrite_led_mode;
#define IO_P4            0                                                                                                                       // scankey;

#define STR_LEN          36                                                                                                                      // usb reader string length

#ifdef __SKYCONFIG_C__
     const SKYCONFIG_DATA_T default_h = {
/*    8  x  4  */ { SDMMC_P0,  SDMMC_P1,  SDMMC_P2,  0,         0,         0,         0,         0                      },
/*    8  x  4  */ { MSX_P0,    MSX_P1,    MSX_P2,    MSX_P3,    MSX_P4,    0,         0,         0                      },
/*    8  x  4  */ { XDSM_P0,   XDSM_P1,   XDSM_P2,   0,         0,         0,         0,         0                      },
/*    8  x  4  */ { CF_P0,     CF_P1,     CF_P2,     CF_P3,     CF_P4,     CF_P5,     0,         0                      },
/*    8  x  4  */ { HD_P0,     HD_P1,     HD_P2,     HD_P3,     HD_P4,     HD_P5,     0,         0                      },
/*    8  x  4  */ { FLASH_P0,  FLASH_P1,  0,         0,         0,         0,         0,         0                      },
/*    8  x  4  */ { IR_P0,     IR_P1,     IR_P2,     IR_P3,     0,         0,         0,         0                      },
/*    8  x  4  */ { PADCLK_P0, PADCLK_P1, 0,         0,         0,         0,         0,         0                      },
/*    8  x  4  */ { USB_P0,    USB_P1,    USB_P2,    USB_P3,    USB_P4,    USB_P5,    0,         0                      },
                  {
/*   16  x  4  */ { GIO_P0,    GIO_P1,    GIO_P2,    GIO_P3,    GIO_P4,    GIO_P5,    GIO_P6,    GIO_P7,
                    GIO_P8,    GIO_P9,    GIO_PA,    GIO_PB,    GIO_PC,    GIO_PD,    GIO_PE,    GIO_PF                 },
/*    6  x  4  */ { EIO_P0,    EIO_P1,    EIO_P2,    EIO_P3,    EIO_P4,    EIO_P5                                       },
/*   10  x  4  */ { IO_P0,     IO_P1,     IO_P2,     IO_P3,     IO_P4,     0,         0,         0,        0,      0    }
                  },
/*    1  x  4  */ { STR_LEN                                                                                             },
#if 0
/*   36  x  1  */ { 0x00,      0x80,      0x02,      0x02,      0x1F,      0x00,      0x00,      0x00,
                     'U',       'S',       'B',       ' ',       '2',       '.',       '0',       ' ',
                     'M',       'u',       'l',       't',       'i',       'C',       'a',       'r',
                     'd',       ' ',       'R',       'e',       'a',       'd',       'e',       'r',
                     '2',       '0',       '0',       '6',
/*  84-36 = 48 */      0,         0,         0,         0,         0,         0,         0,         0,
                       0,         0,         0,         0,         0,         0,         0,         0,
                       0,         0,         0,         0,         0,         0,         0,         0,
                       0,         0,         0,         0,         0,         0,         0,         0,
                       0,         0,         0,         0,         0,         0,         0,         0,
                       0,         0,         0,         0,         0,         0,         0,         0                   },
#else
/*   36  x  1  */ { 0x00,      0x80,      0x02,      0x02,      0x1F,      0x00,      0x00,      0x00,
                     'k',       'u',       'r',       'o',       '0',       '0',       '0',       '1',
                     'C',       'K',       '0',       '1',       'B',       'J',       'T',       '6',
                     '8',       'W',       'Z',       'Z',       '8',       'K',       'X',       0x00,
                     '2',       '0',       '0',       '8',
/*  84-36 = 48 */      0,         0,         0,         0,         0,         0,         0,         0,
                       0,         0,         0,         0,         0,         0,         0,         0,
                       0,         0,         0,         0,         0,         0,         0,         0,
                       0,         0,         0,         0,         0,         0,         0,         0,
                       0,         0,         0,         0,         0,         0,         0,         0,
                       0,         0,         0,         0,         0,         0,         0,         0                   },
#endif                       
/*    8  x  1  */ {   '2',      '8',       '5',       '0',       '-',       'D',       '0',       '0'                   }
     };
#endif


#endif // __DEFAULT_H__
