#ifndef MD5_H
#define MD5_H
#ifndef HEADER_MD5_H
/* Try to avoid clashes with OpenSSL */
#define HEADER_MD5_H
#endif

struct CIFS_MD5Context {
	__u32 buf[4];
	__u32 bits[2];
	unsigned char in[64];
};
#endif				/* !MD5_H */

#ifndef _HMAC_MD5_H
struct CIFS_HMACMD5Context {
	struct CIFS_MD5Context ctx;
	unsigned char k_ipad[65];
	unsigned char k_opad[65];
};
#endif				/* _HMAC_MD5_H */

void CIFS_MD5Init(struct CIFS_MD5Context *context);
void CIFS_MD5Update(struct CIFS_MD5Context *context, unsigned char const *buf,
			unsigned len);
void CIFS_MD5Final(unsigned char digest[16], struct CIFS_MD5Context *context);

/* The following definitions come from lib/hmacmd5.c  */

void cifs_hmac_md5_init_rfc2104(unsigned char *key, int key_len,
			struct CIFS_HMACMD5Context *ctx);
void cifs_hmac_md5_init_limK_to_64(const unsigned char *key, int key_len,
			struct CIFS_HMACMD5Context *ctx);
void cifs_hmac_md5_update(const unsigned char *text, int text_len,
			struct CIFS_HMACMD5Context *ctx);
void cifs_hmac_md5_final(unsigned char *digest, struct CIFS_HMACMD5Context *ctx);
void cifs_hmac_md5(unsigned char key[16], unsigned char *data, int data_len,
			unsigned char *digest);
