
/*
 *      arcmedia.h - ARCmedia engine definitions
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License
 *	as published by the Free Software Foundation; either version
 *	2 of the License, or (at your option) any later version.
 *	
 *	(c) Copyright 2005    ARC International plc
 *
 */


#ifndef ARCMEDIA_H
#define ARCMEDIA_H

#define ARCMEDIA_MONITOR_MINOR 254 /* Device minor number FIXME Allocate properly */

#define PROCFILENAME "ARCmedia"

//#define CONFIG_OLD_ARCMEDIA_BCR 1

/* --- XPU --- */
#define XPU_AUX_REG 0x410
#define MEDIA_ENABLE_BIT 0x4

/* --- BCR and AUX registers --- */
#ifdef CONFIG_OLD_ARCMEDIA_BCR
 #define ARCMEDIA_MEDIA_BUILD_AUX_REG  0x71
#else
 #define ARCMEDIA_SIMD_VLC_BUILD       0xfc
 #define ARCMEDIA_SIMD_DMA_BUILD       0xfd
#endif

#define ARCMEDIA_VE_CTRL_AUX_REG      0xa1
#define ARCMEDIA_VE_STAT_AUX_REG      0xa2
#define ARCMEDIA_VE_ERR_AUX_REG       0xa3
#define ARCMEDIA_VE_EADR_AUX_REG      0xa4
#define ARCMEDIA_VE_SIP_AUX_REG       0xa5
#define ARCMEDIA_SDM_BASE_AUX_REG     0xa6
#define ARCMEDIA_SCM_BASE_AUX_REG     0xa7
#define ARCMEDIA_VE_DBG_CTRL_AUX_REG  0xa8
#define ARCMEDIA_VE_DBG_DATA0_AUX_REG 0xa9
#define ARCMEDIA_VE_DBG_DATA1_AUX_REG 0xaa
#define ARCMEDIA_VE_DBG_DATA2_AUX_REG 0xab
#define ARCMEDIA_VE_DBG_DATA3_AUX_REG 0xac


/* --- ioctls --- */
#define ARCMEDIA_IOC_ENABLE  0xffff0001
#define ARCMEDIA_IOC_DISABLE 0xffff0002
#define ARCMEDIA_IOC_UNCACHED_AREA_PHYS 0xffff0003
#define ARCMEDIA_IOC_UNCACHED_AREA_LEN 0xffff0004

/* --- Bit fiddling --- */
#define MEDIA_VERSION(x) (x & 0xff)
#define DMA_VERSION(x) ((x & 0xff00) >> 7)
#define SDM_SIZE(x) ((x & 0xf0000) >> 16)
#define SDM_16K 0
#define SDM_32K 1
#define SDM_64K 2
#define SCM_SIZE(x) ((x & 0xf00000) >> 20)
#define SCM_NONE 0
#define SCM_5K 1
#define SCM_10K 2
#define SCM_20K 3
#define SCQ_SIZE(x) ((x & 0xf000000) >> 24)
#define SCQ_NONE 0
#define SCQ_320 1
#define SCQ_640 2
#define SCQ_1280 3
#define VRF_SIZE(x) ((x & 0xf0000000) >> 28)
#define VRF_16 1
#define VRF_24 2
#define VRF_32 3
#define VRF_64 7

#ifndef CONFIG_OLD_ARCMEDIA_BCR

#define ARCMEDIA_VLC_PRESENT          0x80000000
#define VLC_PRESENT(x) (x & ARCMEDIA_VLC_PRESENT)

#define VLC_VERSION(x)     (x & 0xff)
#define VLC_FIFO_DEPTH(x)  ((x & 0xf00) >> 8)
#define VLC_FIFO_4         0
#define VLC_FIFO_8         1
#define VLC_FIFO_16        2
#define VLC_LEGACY(x)      (x & 0x1000)
#define VLC_VC1(x)         (x & 0x2000)
#define VLC_H264_BSLN(x)   (x & 0x4000)
#define VLC_H264_MAIN(x)   (x & 0x8000)
#define VLC_DMA_VERSION(x) ((x & 0x7f100000) >> 22)

#endif

#endif
