/******************************************************************************
 * Copyright Codito Technologies (www.codito.com) Oct 01, 2004
 * 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 *****************************************************************************/

/*
 * include/asm-arc/irq.h
 *
 * Amit Shah: initial write from asm-armnommu/
 */

#ifndef __ASM_ARC_IRQ_H
#define __ASM_ARC_IRQ_H

#include <asm/ptrace.h>

#ifndef irq_cannonicalize
#define irq_cannonicalize(i)	(i)
#endif

#ifndef NR_IRQS
#define NR_IRQS	32
#endif

#define TIMER_INT       3

// FIXME :: VUART interrupt changed in ARC 700 
// #define VUART_INT       4
#define INTERRUPT_4     4
#define VUART_INT       5
#define INTERRUPT_6     6
#define INTERRUPT_7     7
#define INTERRUPT_8     8
#define INTERRUPT_9     9
#define VUART1_INT     10
#define INTERRUPT_11   11
#define INTERRUPT_12   12
#define INTERRUPT_13   13
#define INTERRUPT_14   14
#define INTERRUPT_15   15

#define IRQ_FLG_LOCK    (0x0001)        /* handler is not replaceable   */
#define IRQ_FLG_REPLACE (0x0002)        /* replace existing handler     */
#define IRQ_FLG_STD     (0x8000)        /* internally used              */

struct irq_node {
	void               (*handler)(int, void *, struct pt_regs *);
	unsigned long      flags;
	int disable_depth;
	void               *dev_id;
	const char         *devname;
	struct irq_node    *next;
}; 

int setup_arc_irq(unsigned int irq, struct irq_node *node);

#define disable_irq_nosync(i) disable_irq(i)

extern void disable_irq(unsigned int);
extern void enable_irq(unsigned int);

#endif

