/******************************************************************************
 * Copyright Codito Technologies (www.codito.com) Oct 01, 2004
 * 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 *****************************************************************************/

/*
 *  linux/include/asm-arc/softirq.h
 *
 *  Copyright (C) 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * Autors : Amit Bhor
 */

#ifndef _ASM_ARC_SOFTIRQ_H
#define _ASM_ARC_SOFTIRQ_H

#include <asm/atomic.h>

#define cpu_bh_disable(cpu)	\
	do { local_bh_count(cpu)++; barrier(); } while (0)
#define cpu_bh_enable(cpu)	\
	do { barrier(); local_bh_count(cpu)--; } while (0)

#define local_bh_disable()	cpu_bh_disable(smp_processor_id())
#define local_bh_enable()	cpu_bh_enable(smp_processor_id())
#define __local_bh_enable()     local_bh_enable()			  

#define in_softirq() (local_bh_count(smp_processor_id()) != 0)


#endif	/* _ASM_ARC_SOFTIRQ_H */
